#!/bin/sh
# the next line starts using tclsh \
exec tclsh "$0" $@

# Installation-script for GDBM and Qgdbm
set pkgdir "gdbm0.3"

# create the package-subdirecotry
if {![file exists $tcl_library/$pkgdir]} {
    if {[catch {file mkdir $tcl_library/$pkgdir} msg]} {
	error "Could not create directory '$tcl_library/$pkgdir'. $msg"
    }
    # change permission if possible
    if {[catch {file attributes $tcl_library/$pkgdir -permissions 0755} msg] 
	&& ($tcl_platform(platform) != "windows")} {
		error "Could not change permissions to 0755 on $tcl_library/$pkgdir. $msg"
	}
} else {
   # is package directory writable?
   if {![file writable $tcl_library/$pkgdir]} {
      error "You cannot write into directory $tcl_library/$pkgdir."
   }
}
if {[catch {file copy -force ./qgdbm.tcl ./pkgIndex.tcl ./tclgdbm[info sharedlibextension] $tcl_library/$pkgdir/} msg]} {
   error "Could not copy qgdbm.tcl,pkgIndex.tcl or tclgdbm[info sharedlibextension] to $tcl_library/$pkgdir/: $msg"
}
puts "Installed tclgdbm[info sharedlibextension], qgdbm.tcl to $tcl_library/$pkgdir...."


foreach file "qgdbm.tcl pkgIndex.tcl tclgdbm[info sharedlibextension]" {
	if {[catch {file attributes $tcl_library/$pkgdir/$file -permissions 0644}]
	&& ($tcl_platform(platform) != "windows")} {
		error "Could not change permissions to 0644 on $tcl_library/$pkgdir/$file."
	}
}

puts "Installation finished."

